import { LitElement, CSSResultArray } from 'lit';
export declare class NileColorSwatch extends LitElement {
    static get styles(): CSSResultArray;
    /** The hex color this swatch represents. */
    color: string;
    /** Whether this swatch is the currently selected color. */
    active: boolean;
    private _tickColor;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'nile-color-swatch': NileColorSwatch;
    }
}
